<?php
/**
*
* @package Board3 Portal v2 - Default
* @copyright (c) Board3 Group ( www.board3.de )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
        exit;
}

/**
* @package Meeting Mod Block
*/
class portal_meeting_module
{
        /**
        * Allowed columns: Just sum up your options (Exp: left + right = 10)
        * top                1
        * left                2
        * center        4
        * right                8
        * bottom        16
        */
        public $columns = 5;

        /**
        * Default modulename
        */
        public $name = 'MEETING_BLOCK_NAME';

        /**
        * Default module-image:
        * file must be in "{T_THEME_PATH}/images/portal/"
        */
        public $image_src = 'meeting_mod_block.png';

        /**
        * module-language file
        * file must be in "language/{$user->lang}/mods/portal/"
        */
        public $language = 'portal_meeting_module';

        /**
        * custom acp template
        * file must be in "adm/style/portal/"
        */
        public $custom_acp_tpl = '';

        /**
        * hide module name in ACP configuration page
        */
        public $hide_name = false;

        public function get_template_center($module_id)
        {
                global $config, $template, $db;
         $portal_config['number_of_meetings_shown'] = '3';

         //Run SQL to get the data
         $sql = 'SELECT meeting_id, meeting_time, meeting_until, meeting_location, meeting_subject, meeting_link  FROM ' . MEETING_DATA_TABLE . "
         ORDER BY `meeting_id` DESC";
         $result = $db->sql_query_limit($sql, $config['board3_meetings_shown_' . $module_id]);

         while ($row = $db->sql_fetchrow($result))
         {
                 //Set to use meeting. in template
                 $template->assign_block_vars("meeting", array(
                 //Set to use meeting.MEETING_XX in template
                'MEETING_ID'                        => $row['meeting_id'],
                'MEETING_TIME'                        => date("j.n.Y, G.i",$row['meeting_time']),
                'MEETING_UNTIL'                        => date("j.n.Y, G.i",$row['meeting_until']),
                'MEETING_LOCATION'                => $row['meeting_location'],
                'MEETING_SUBJECT'                => $row['meeting_subject'],
                'U_MEETING_LINK'                => $row['meeting_link'],
        ));
}
//popout the result
$db->sql_freeresult($result);


                return 'meeting.html';
        }


        public function get_template_acp($module_id)
        {
                return array(
                        'title'        => 'ACP_MEETING_BLOCK_SETTINGS',
                        'vars'        => array(
                                'legend1'                                                                => 'ACP_MEETING_BLOCK_CONFIGLEGEND',
                                'board3_meetings_shown_' . $module_id       => array('lang' => 'MEETING_BLOCK_MAXIMALMEETINGS',                'validate' => 'int',        'type' => 'text:3:3',        'explain' => false),
                                //'board3_configname2_' . $module_id        => array('lang' => 'MEETING_BLOCK_MAXIMALMEETINGS',        'validate' => 'int',        'type' => 'text:3:3',                'explain' => true),
                        ),
                );
        }
          //$portal_config['number_of_meetings_shown'] = '3';
        /**
        * API functions
        */
        public function install($module_id)
        {
                set_config('board3_meetings_shown_' . $module_id,3);
                return true;
        }

        public function uninstall($module_id)
        {
                global $db;

                $del_config = array(
                        'board3_meetings_shown_' . $module_id,
                );
                $sql = 'DELETE FROM ' . CONFIG_TABLE . '
                        WHERE ' . $db->sql_in_set('config_name', $del_config);
                return $db->sql_query($sql);
        }
}